Theme
Virtual Try-On
POST
https://www.kkiai.com/kling/v1/images/kolors-virtual-try-on
Request Parameters
Authorization
Add the Authorization parameter to the Header. Its value is the Token concatenated after Bearer.
Example: Authorization: Bearer ********************
Header Parameters
| Parameter Name | Type | Required | Description | Example |
|---|---|---|---|---|
Content-Type | string | Optional | application/json | |
Authorization | string | Optional | Bearer {{YOUR_API_KEY}} |
Body Parameters (application/json)
| Parameter Name | Type | Required | Description |
|---|---|---|---|
model_name | string | Required | Model name. Enum values: kolors-virtual-try-on-v1, kolors-virtual-try-on-v1-5 |
human_image | string | Required | Uploaded person image; supports Base64 encoded image or image URL (must be accessible); supported image formats: .jpg / .jpeg / .png; image file size must not exceed 10MB, image dimensions must be at least 300px |
cloth_image | string | Required | |
callback_url | string | Optional |
Request Example
json
{
"model_name": "kolors-virtual-try-on-v1",
"human_image": "https://h2.inkwai.com/bs2/upload-ylab-stunt/se/ai_portal_queue_mmu_image_upscale_aiweb/3214b798-e1b4-4b00-b7af-72b5b0417420_raw_image_0.jpg",
"cloth_image": "https://imageproxy.zhongzhuan.chat/api/proxy/image/1db2a32c24087cab3405a00ee4454c94.jpg",
"callback_url": ""
}cURL Example
bash
curl --location --request POST 'https://www.kkiai.com/kling/v1/images/kolors-virtual-try-on' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
"model_name": "kolors-virtual-try-on-v1",
"human_image": "https://h2.inkwai.com/bs2/upload-ylab-stunt/se/ai_portal_queue_mmu_image_upscale_aiweb/3214b798-e1b4-4b00-b7af-72b5b0417420_raw_image_0.jpg",
"cloth_image": "https://imageproxy.zhongzhuan.chat/api/proxy/image/1db2a32c24087cab3405a00ee4454c94.jpg",
"callback_url": ""
}'Response
🟢 200 Success
Response Example
json
{}